Name:           python-data-pipeline-api
Version:        0.9.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python api to interact with the Fair Data Pipeline

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.fairdatapipeline.org/
Source:         %{pypi_source data_pipeline_api}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'data-pipeline-api' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-data-pipeline-api
Summary:        %{summary}

%description -n python3-data-pipeline-api %_description


%prep
%autosetup -p1 -n data_pipeline_api-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-data-pipeline-api -f %{pyproject_files}


%changelog
%autochangelog